commit: 0c1e5cbdecde8e796d7676e694d1a2ad2c1c3928
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 6 09:30:15 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 6 09:32:04 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c1e5cbd
net-misc/electrum: Bump to 4.6.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
net-misc/electrum/Manifest | 2 +
net-misc/electrum/electrum-4.6.0.ebuild | 131 ++++++++++++++++++++++++++++++++
2 files changed, 133 insertions(+)
diff --git a/net-misc/electrum/Manifest b/net-misc/electrum/Manifest
index f19fb3a98b4b..990f9834f4e7 100644
--- a/net-misc/electrum/Manifest
+++ b/net-misc/electrum/Manifest
@@ -1,2 +1,4 @@
DIST Electrum-4.5.8.tar.gz 13752500 BLAKE2B
e8995e98c90dde3ae758df7e2a959d33c91ddddba5c950e24b3ca2d216f3aaa06e2186db02240f739ac76778affcc952671e7bde3e6bf86ff0f2f9a820e60ac6
SHA512
ccf45dc5e3a615d446e0714ddaa9ef74b96829bdf9a5236e18efff5f014ca18c48502a375ec98c9bc170f1db69e846b7015ca715b9cac8d77afde9f1939bc403
DIST Electrum-4.5.8.tar.gz.asc 2499 BLAKE2B
a2cd9a2ab2b071bd5fea37bc9aa8a42bae68671d850d762753955bb43be562e25a4d3bdefcd3d7c1840e5e19e16237d7516a110d759733f73c0d66a67f9703f5
SHA512
f15a7b68fa2039f75d99729a34c207f31181afeb865db7cf5b27b68f9a7a4054e9d7ea46bda39fa3441cc6d1c798ae0c797dfdf1c178d2121ba2aff3b434d09a
+DIST Electrum-4.6.0.tar.gz 14913072 BLAKE2B
c651c9c0d70bf39ab26061bd953137882817e62089b089d1fbf3d56f60a0254175ce35886e573bbaa38abaeb1daee0d8d2ee566c72cc7b5d8b4e8ba242ab8a25
SHA512
be7b05831e8b9db9550ae684347305ac0605d983046fb91bdd65793b8c19800b902a4bbf09e146138ed4dca9a8a69a619c96ff663bf8344ff4529f7475793466
+DIST Electrum-4.6.0.tar.gz.asc 2727 BLAKE2B
779ad9ee0a64d981334d28680f27e4f35b9999d831a88361f36cb6ac0d40fc16421310c02e66ad511cf0e665c2336958aaf72504ccd4c6c85731187559e0c0cc
SHA512
2b968d030075513b986b43c5dbb275c70a8be5e4e3e6583dc61ad25c4b1f64739909f5c3fda32172f4c8888ea1df8d0d806f43b0f3962af32225bea8af64a192
diff --git a/net-misc/electrum/electrum-4.6.0.ebuild
b/net-misc/electrum/electrum-4.6.0.ebuild
new file mode 100644
index 000000000000..f47395f5c282
--- /dev/null
+++ b/net-misc/electrum/electrum-4.6.0.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+PYTHON_REQ_USE="ncurses?"
+
+inherit distutils-r1 eapi9-ver verify-sig xdg-utils
+
+MY_P=${P^}
+DESCRIPTION="User friendly Bitcoin client"
+HOMEPAGE="
+ https://electrum.org/
+ https://github.com/spesmilo/electrum/
+"
+SRC_URI="
+ https://download.electrum.org/${PV}/${MY_P}.tar.gz
+ verify-sig? (
+ https://download.electrum.org/${PV}/${MY_P}.tar.gz.asc
+ )
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="cli ncurses qrcode +qt5"
+REQUIRED_USE="|| ( cli ncurses qt5 )"
+
+# setuptools (distutils) & pyperclip vendored
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=dev-python/aiohttp-3.11.0[${PYTHON_USEDEP}]
+ >=dev-python/aiohttp-socks-0.8.4[${PYTHON_USEDEP}]
+ =dev-python/aiorpcx-0.25*[${PYTHON_USEDEP}]
+ >=dev-python/attrs-20.1.0[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ >=dev-python/dnspython-2[${PYTHON_USEDEP}]
+ >=dev-python/electrum-ecc-0.0.4[${PYTHON_USEDEP}]
+ >=dev-python/electrum-aionostr-0.0.11[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ dev-python/pbkdf2[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-3.20[${PYTHON_USEDEP}]
+ dev-python/pyperclip[${PYTHON_USEDEP}]
+ dev-python/qrcode[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ qrcode? ( media-gfx/zbar[v4l] )
+ qt5? (
+ dev-python/pyqt5[gui,widgets,${PYTHON_USEDEP}]
+ )
+ ncurses? ( $(python_gen_impl_dep 'ncurses') )
+"
+BDEPEND="
+ test? (
+ dev-python/pyaes[${PYTHON_USEDEP}]
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ )
+ verify-sig? (
+ sec-keys/openpgp-keys-electrum
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # test for qml/PyQt6 GUI that doesn't work anyway
+ tests/test_qml_types.py
+)
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/electrum.asc
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # remove bundled dependencies
+ rm -r electrum/_vendor packages || die
+ find -name '*.py' -exec \
+ sed -i -e 's:[.]_vendor[.]::' {} + || die
+
+ # use backwards-compatible cryptodome API
+ sed -i -e 's:Cryptodome:Crypto:' electrum/crypto.py || die
+
+ # make qdarkstyle dep optional
+ sed -i -e '/qdarkstyle/d' contrib/requirements/requirements.txt || die
+
+ # remove upper bounds from deps
+ sed -i -e 's:,<[0-9.]*::' contrib/requirements/requirements.txt || die
+
+ local bestgui
+ if use qt5; then
+ bestgui=qt
+ elif use ncurses; then
+ bestgui=text
+ else
+ bestgui=stdio
+ fi
+ sed -i 's/^\([[:space:]]*\)\(config_options\['\''cwd'\''\] =
.*\)$/\1\2\n\1config_options.setdefault("gui", "'"${bestgui}"'")\n/'
${PN}/${PN} || die
+
+ xdg_environment_reset
+}
+
+src_install() {
+ dodoc RELEASE-NOTES
+ distutils-r1_src_install
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+
+ ver_replacing -ge 4.3.4 && return
+
+ ewarn "If you are new to BitCoin, please be aware that:"
+ ewarn "1. Cryptocurrencies are volatile. BTC has been subject to rapid"
+ ewarn " changes of value in the past."
+ ewarn "2. Cryptocurrency ownership is determined solely by the access
to"
+ ewarn " the private key. If the key is lost or stolen, BTC are
unrevocably"
+ ewarn " lost."
+ ewarn "3. Proof-of-work based cryptocurrencies have negative
environmental"
+ ewarn " impact. BTC mining is consuming huge amounts of electricity."
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}